import { sendErrorResponse } from "../core";
import { Exercise } from "../repository";


export async function getExercises(req, res) {
    try {
        const exercises = await Exercise.findExercices();

        res.status(200).send(exercises);
    } catch (error) {
        console.info("GET exercises ERROR", new Date(), " with error ", error);
        sendErrorResponse(res, error);
    }
}

export async function getExercise(req, res) {
    try {
        const exercise = await Exercise.findExercicesById({id: req.params.id});

        if (!exercise) {
            res.status(404).send({ message: "Exercise not found" });
            return;
        }
        res.status(200).send(exercise);
    } catch (error) {
        console.info("GET exercise ERROR", new Date(), " with error ", error);
        sendErrorResponse(res, error);
    }
}
