import { sendErrorResponse } from "../core";
import moment from "moment";
import {Incidence} from "../repository";
import { DateUtils } from "../utils";


export async function saveIncidence(req, res) {
  const { idMonitor, idUser, text } = req.body;

  try {

    if(!idMonitor && !idUser){
        res.status(400).send({ message: "User or monirtor are required" });
        return;
    }
    
    const todayDate = DateUtils.getToday();
    await Incidence.saveIncidence({idMonitor, idUser, text, date: todayDate});

    res.status(201).send();
  } catch (error) {
    console.info(
      "INCIDENCE ERROR",
      moment(),
      " with error ",
      error
    );
    sendErrorResponse(res, error);
  }
}

