import moment from "moment";
import { AESencrypt, createToken, sendErrorResponse } from "../core";
import { Monitor, Users } from "../repository";


export async function userLogin(req, res) {
  const { email, password } = req.body;

  try {
    
    //Descifrar password
    const cryptedPassword = AESencrypt(password);
    const user = await Users.findUserLogin(email,cryptedPassword);

    if(!user){
        res.status(404).send({ message: "User or password invalid" });
        return;
    }


    //Creamos un token en base a su id y se lo devolvemos
    const token = createToken(user);

    res.status(200).send({access_token: token, user_id: user.id});
  } catch (error) {
    console.info(
      "LOGIN ERROR",
      moment(),
      " with error ",
      error
    );
    sendErrorResponse(res, error);
  }
}

export async function monitorLogin(req, res) {
  const { email, password } = req.body;

  try {
    
    //Descifrar password
    const cryptedPassword = AESencrypt(password);
    const monitor = await Monitor.findMonitorLogin(email,cryptedPassword);

    if(!monitor){
        res.status(404).send({ message: "User or password invalid" });
        return;
    }


    //Creamos un token en base a su id y se lo devolvemos
    const token = createToken(monitor);

    res.status(200).send({access_token: token, user_id: monitor.id});
  } catch (error) {
    console.info(
      "LOGIN MONITOR ERROR",
      moment(),
      " with error ",
      error
    );
    sendErrorResponse(res, error);
  }
}