import moment from "moment";
import { AESencrypt, sendErrorResponse } from "../core";
import { Users } from "../repository";


export async function registerUser(req, res) {
  const { name, surname, birthday, gender, email, password } = req.body;

  try {
    
    //Descifrar password
    const cryptedPassword = AESencrypt(password);
    await Users.saveUser({
        name,
        surname,
        birthday,
        gender,
        email,
        password: cryptedPassword
    });

    res.status(201).send();
  } catch (error) {
    console.info(
      "REGISTER ERROR",
      moment(),
      " with error ",
      error
    );
    sendErrorResponse(res, error);
  }
}

