export default function (sequelize, Sequelize) {
    return sequelize.define(
      "exercise",
      {
        id: {
          autoIncrement: true,
          primaryKey: true,
          allowNull: false,
          type: Sequelize.INTEGER,
          validate: { isInt: true },
        },
        name: {
          type: Sequelize.STRING,
          notEmpty: true,
          allowNull: false,
        },
        description: {
            type: Sequelize.STRING,
            allowNull: true,
        },
        repetitions: {
            type: Sequelize.INTEGER,
            allowNull: true,
            validate: { isInt: true },
        },
        weight: {
            type: Sequelize.DECIMAL(20, 2),
            allowNull: true,
            defaultValue: 0,
            validate: { isDecimal: true }
        },
        isDeleted: {
          type: Sequelize.INTEGER,
          notEmpty: true,
          allowNull: false,
          defaultValue: 0,
          validate: { isInt: true, max: 1, min: 0 },
        },
      },
      {
        timestamps: true,
        freezeTableName: true,
        tableName: "exercise",
      }
    );
  }
  