export default function (sequelize, Sequelize) {
    return sequelize.define(
      "incidence",
      {
        id: {
          autoIncrement: true,
          primaryKey: true,
          allowNull: false,
          type: Sequelize.INTEGER,
          validate: { isInt: true },
        },
        idUser: {
            type: Sequelize.INTEGER,
            allowNull: true,
            validate: { isInt: true },
        },
        idMonitor: {
            type: Sequelize.INTEGER,
            allowNull: true,
            validate: { isInt: true },
        },
        date: {
            type: Sequelize.DATE,
            allowNull: true,
            validate: { isDate: true }
        },
        text: {
            type: Sequelize.STRING,
            notEmpty: true,
            allowNull: false,
        },
        isDeleted: {
          type: Sequelize.INTEGER,
          notEmpty: true,
          allowNull: false,
          defaultValue: 0,
          validate: { isInt: true, max: 1, min: 0 },
        },
      },
      {
        timestamps: true,
        freezeTableName: true,
        tableName: "incidence",
      }
    );
  }
  