import fs from "fs";
import path from "path";
import process from "process";
import Sequelize from "sequelize";
import { configSequelize } from "../config/";

// eslint-disable-next-line no-undef
const basename = path.basename(__filename);
const env = process.env.NODE_ENV || "development";
const config = configSequelize[env];
const db = {};

const sequelize = new Sequelize(
    config.database,
    config.username,
    config.password,
    config
  );


// eslint-disable-next-line no-undef
fs.readdirSync(__dirname)
  .filter(
    file =>
      file.indexOf(".") !== 0 && file !== basename && file.slice(-3) === ".js"
  )
  .forEach(file => {
    // eslint-disable-next-line no-undef
    const model = sequelize["import"](path.join(__dirname, file));
    db[model.name] = model;
  });

Object.keys(db).forEach(modelName => {
  if (db[modelName].associate) {
    db[modelName].associate(db);
  }
});

db.sequelize = sequelize;
db.Sequelize = Sequelize;

export default db;
