export default function (sequelize, Sequelize) {
    return sequelize.define(
      "user",
      {
        id: {
          autoIncrement: true,
          primaryKey: true,
          allowNull: false,
          type: Sequelize.INTEGER,
          validate: { isInt: true },
        },
        name: {
          type: Sequelize.STRING,
          notEmpty: true,
          allowNull: false,
        },
        surname: {
          type: Sequelize.STRING,
          notEmpty: true,
          allowNull: false,
        },
        birthday: {
            type: Sequelize.DATE,
            allowNull: true,
            validate: { isDate: true }
        },
        gender: {
            type: Sequelize.ENUM("male", "female"),
            notEmpty: true,
            allowNull: false,
            defaultValue: "male",
            validate: {
              isIn: [["male", "female"]]
            }
        },
        email: {
          type: Sequelize.STRING,
          notEmpty: true,
          allowNull: false,
        },
        username: {
          type: Sequelize.STRING,
          allowNull: true,
          allowNull: false,
        },
        password: {
          type: Sequelize.STRING,
          allowNull: true,
        },
        idWorkout: {
          type: Sequelize.INTEGER,
          allowNull: true,
          validate: { isInt: true },
        },
        isDeleted: {
          type: Sequelize.INTEGER,
          notEmpty: true,
          allowNull: false,
          defaultValue: 0,
          validate: { isInt: true, max: 1, min: 0 },
        },
      },
      {
        timestamps: true,
        freezeTableName: true,
        tableName: "user",
      }
    );
  }
  