export default function (sequelize, Sequelize) {
    return sequelize.define(
      "user_workout_history",
      {
        id: {
          autoIncrement: true,
          primaryKey: true,
          allowNull: false,
          type: Sequelize.INTEGER,
          validate: { isInt: true },
        },
        idUser: {
            type: Sequelize.INTEGER,
            allowNull: true,
            validate: { isInt: true },
        },
        idWorkout: {
            type: Sequelize.INTEGER,
            allowNull: true,
            validate: { isInt: true },
        },
        date: {
            type: Sequelize.DATE,
            allowNull: true,
            validate: { isDate: true }
        },
        type: {
            type: Sequelize.ENUM("START", "STOP"),
            notEmpty: true,
            allowNull: false,
            defaultValue: "START",
            validate: {
              isIn: [["START", "STOP"]]
            }
        },
        isDeleted: {
          type: Sequelize.INTEGER,
          notEmpty: true,
          allowNull: false,
          defaultValue: 0,
          validate: { isInt: true, max: 1, min: 0 },
        },
      },
      {
        timestamps: true,
        freezeTableName: true,
        tableName: "user_workout_history",
      }
    );
  }
  