export default function (sequelize, Sequelize) {
    return sequelize.define(
      "workout_exercices",
      {
        idWorkout: {
          primaryKey: true,
          allowNull: false,
          type: Sequelize.INTEGER,
          validate: { isInt: true },
        },
        idExercise: {
            primaryKey: true,
            allowNull: false,
            type: Sequelize.INTEGER,
            validate: { isInt: true },
        },
        date: {
            type: Sequelize.DATE,
            allowNull: true,
            validate: { isDate: true }
        },
        isDeleted: {
            type: Sequelize.INTEGER,
            notEmpty: true,
            allowNull: false,
            defaultValue: 0,
            validate: { isInt: true, max: 1, min: 0 },
        }
      },
      {
        timestamps: true,
        freezeTableName: true,
        tableName: "workout_exercices",
      }
    );
  }
  