import db from "../models";


const findMonitorById = async (id) =>
    await db.monitor.findOne({
    where: { id, isDeleted: 0 },
});


const findMonitorLogin = async (email, password) =>
  await db.monitor.findOne({
    where: { email: email, password, isDeleted: 0 },
  });

const findMonitorUsers = async (id) => {
    const usersId = await db.user_monitor_history.findAll({
      where: { idMonitor: id, isActive: 1 },
    });
    const listUsers = await Promise.all(usersId.map(async (userFind) => { 
      return await db.user.findOne({ attributes: { exclude: ['password'] }, where: { id: userFind.idUser, isDeleted: 0 }});
    }));
    return listUsers.filter(userFind => userFind);
}

const findMonitorWorkouts = async (id) =>
    await db.workout.findAll({
    where: { idMonitor: id, isDeleted: 0 },
});

  const updateMonitor = async ({
    id,
    name,
    surname,
    email,
    password,
    birthday,
    gender
  }) =>
    await db.monitor.update(
      {
        name,
        surname,
        email,
        password,
        birthday,
        gender
      },
      {
        where: {
          id
        }
      }
    );

export { findMonitorById, findMonitorLogin, updateMonitor, findMonitorUsers, findMonitorWorkouts };

