import db from "../models";

const findUserByEmail = async (email) =>
  await db.user.findOne({
    where: { username: email, isDeleted: 0 },
  });

  const findUserById = async (id) =>
  await db.user.findOne({
    where: { id, isDeleted: 0 },
  });

const getUserData = async ({ id }) =>
  await db.user.findOne({
    where: { id: id, isDeleted: 0 },
    attributes: ["id", "name", "surname", "email", "password", "nick"],
  });

const findUserLogin = async (email, password) =>
  await db.user.findOne({
    where: { email: email, password, isDeleted: 0 },
  });

const saveUser = async ({
  name,
  surname,
  birthday,
  gender,
  email,
  password
}) =>
  await db.user.create({
    name,
    surname,
    birthday,
    gender,
    username: email,
    email,
    password
  });

  const updateUser = async ({
    id,
    name,
    surname,
    email,
    password,
    birthday,
    gender
  }) =>
    await db.user.update(
      {
        name,
        surname,
        email,
        password,
        birthday,
        gender
      },
      {
        where: {
          id
        }
      }
    );

const updateUserWorkout = async ({
  id,
  workoutId
}) =>
  await db.user.update(
    {
      idWorkout: workoutId
    },
    {
      where: {
        id
      }
    }
  );


const startWorkout = async ({
  userId,
  workoutId
}) =>
  await db.user_workout_history.create({
    idUser: userId,
    idWorkout: workoutId,
    type: "START",
    date: new Date()
  });

const stopWorkout = async ({
  userId,
  workoutId
}) =>
  await db.user_workout_history.create({
    idUser: userId,
    idWorkout: workoutId,
    type: "STOP",
    date: new Date()
  });

const getUserAccess = async (id) =>
  await db.user_workout_history.findAll({
    where: { idUser: id, isDeleted: 0 }
    });

const getUserTimeWorkThisWeek = async (id, weekNumber) =>
  await db.sequelize.query(`SELECT * 
  FROM user_workout_history 
  WHERE (strftime('%W', date) = '${weekNumber}')
  AND idUser = ${id}
  AND isDeleted = 0`);

const getUserWorksThisMonth = async (id, monthNumber) =>
  await db.sequelize.query(`SELECT COUNT(*) as total
  FROM user_workout_history 
  WHERE (strftime('%m', date) = '${monthNumber}')
  AND idUser = ${id}
  AND type = 'START'
  AND isDeleted = 0`);

export {
  findUserByEmail,
  findUserById,
  getUserData,
  findUserLogin,
  saveUser,
  updateUser,
  startWorkout,
  stopWorkout,
  updateUserWorkout,
  getUserAccess,
  getUserTimeWorkThisWeek,
  getUserWorksThisMonth
};

