import db from "../models";

const findWorkoutById = async ({ id }) => {

  const workout = await db.workout.findOne({
    where: { id, isDeleted: 0 },
    raw: true
  });
  const workoutExercises = await db.workout_exercices.findAll({
    where: { idWorkout: id, isDeleted: 0}
  });
  const exercisesList = await Promise.all(workoutExercises.map(async (workoutExercise) => { 
    return await db.exercise.findOne({ where: { id: workoutExercise.idExercise, isDeleted: 0 }});
  }));

  workout.exercises = exercisesList;
  return workout;
}

  const findExercicesWorkoutById = async ({ id }) =>
 {
    const exercices = await db.workout_exercices.findAll({
      where: { idWorkout: id, isDeleted: 0 },
    });

    return await Promise.all(exercices.map(async (exercice) => await db.exercise.findOne({ where: { id: exercice.idExercise, isDeleted: 0 } })));
}

  const insertWorkout = async ({
    name,
    date,
    idMonitor
  }) =>
    await db.workout.create({
        name,
        date,
        idMonitor
    });
  
  const updateWorkout = async ({
    id,
    name,
    date,
    idMonitor
  }) =>
    await db.workout.update(
      {
        name,
        date,
        idMonitor
      },
      {
        where: {
          id
        }
      }
    );
  
  const deleteWorkout = async ({ id }) =>
    await db.workout.update(
      {
        isDeleted: 1
      },
      {
        where: {
          id
        }
      }
    );

const addExerciseToWorkout = async ({
  workoutId,
  exerciseId
}) =>
  await db.workout_exercices.create({
    idWorkout: workoutId,
    idExercise: exerciseId
  });

  const deleteExerciseToWorkout = async ({
    workoutId,
    exerciseId
  }) =>
    await db.workout_exercices.destroy({
      where: {
        idWorkout: workoutId,
        idExercise: exerciseId
      }
    });

export { findWorkoutById, insertWorkout, updateWorkout, deleteWorkout, findExercicesWorkoutById, addExerciseToWorkout, deleteExerciseToWorkout };
