import { celebrate, Joi } from "celebrate";
import express from "express";
import { Exercise } from "../controllers";

const router = express.Router();


  router.get(
    "/",
    (req, res) => {
        Exercise.getExercises(req, res);
    }
  );

router.get(
    "/:id",
    celebrate(
      {
        params: {
          id: Joi.string().required(),
        },
      },
      { abortEarly: false }
    ),
  
    (req, res) => {
        Exercise.getExercise(req, res);
    }
  );

export default router;
