import { celebrate, Joi } from "celebrate";
import express from "express";
import { Incidence } from "../controllers";

const router = express.Router();

router.post(
  "/",
  celebrate(
    {
      body: Joi.object().keys({
        idUser: Joi.number().integer().allow(null),
        idMonitor: Joi.number().integer().allow(null),
        text: Joi.string().required(),
      }),
    },
    { abortEarly: false }
  ),
  (req, res) => {
    Incidence.saveIncidence(req, res);
  }
);

export default router;
