import { celebrate, Joi } from "celebrate";
import express from "express";
import { Login } from "../controllers";

const router = express.Router();

router.post(
  "/monitor",
  celebrate(
    {
      body: Joi.object().keys({
        email: Joi.string().required(),
        password: Joi.string().required(),
      }),
    },
    { abortEarly: false }
  ),
  (req, res) => {
    Login.monitorLogin(req, res);
  }
);

router.post(
  "/",
  celebrate(
    {
      body: Joi.object().keys({
        email: Joi.string().required(),
        password: Joi.string().required(),
      }),
    },
    { abortEarly: false }
  ),
  (req, res) => {
    Login.userLogin(req, res);
  }
);

export default router;
