import express from "express";
import { celebrate, Joi } from "celebrate";
import { Register } from "../controllers";

const router = express.Router();

router.post(
  "/",
  celebrate(
    {
      body: Joi.object().keys({
        name: Joi.string().required(),
        surname: Joi.string().allow(null),
        birthday: Joi.date().optional().allow(null),
        gender: Joi.string().allow(null),
        email: Joi.string().required(),
        password: Joi.string().required(),
      }),
    },
    { abortEarly: false }
  ),
  (req, res) => {
    Register.registerUser(req, res);
  }
);

export default router;
